.login-pf body {
  background: url("../img/keycloak-bg.png") no-repeat center center fixed;
  background-size: cover;
  background-color: #ffffff;
}

.alert-error {
  background-color: #ffffff;
  border-color: #cc0000;
  color: #333333;
}

#kc-locale ul {
  display: none;
  position: absolute;
  background-color: #fff;
  list-style: none;
  right: 0;
  top: 20px;
  min-width: 100px;
  padding: 2px 0;
  border: solid 1px #bbb;
}

#kc-locale:hover ul {
  display: block;
  margin: 0;
}

#kc-locale ul li a {
  display: block;
  padding: 5px 14px;
  color: #000 !important;
  text-decoration: none;
  line-height: 20px;
}

#kc-locale ul li a:hover {
  color: #4d5258;
  background-color: #d4edfa;
}

#kc-locale-dropdown a {
  color: #4d5258;
  background: 0 0;
  padding: 0 15px 0 0;
  font-weight: 300;
}

#kc-locale-dropdown a:hover {
  text-decoration: none;
}

a#kc-current-locale-link {
  display: block;
  padding: 0 5px;
}

/* a#kc-current-locale-link:hover {
      background-color: rgba(0,0,0,0.2);
  } */

a#kc-current-locale-link::after {
  content: "\2c5";
  margin-left: 4px;
}

.login-pf .container {
  padding-top: 40px;
}

.login-pf a:hover {
  color: #0099d3;
}

#kc-logo {
  width: 100%;
}

/*
  #zocial-azure span {
      display: block;
      background-image: url(../img/azure-logo.png);
      background-repeat: no-repeat;
      margin: 62px auto 0;
      height: 150px;
      width: 600px;
  }
  */
#kc-logo-wrapper {
  background-image: url(../img/keycloak-logo-2.png);
  background-repeat: no-repeat;
  height: 63px;
  width: 300px;
  margin: 62px auto 0;
}

div.kc-logo-text {
  /*background-image: url(../img/keycloak-logo-text.png);*/
  background-repeat: no-repeat;
  height: 63px;
  width: 300px;
  margin: 0 auto;
}

div.kc-logo-text span {
  display: none;
}

#kc-header {
  color: #ededed;
  overflow: visible;
  white-space: nowrap;
}

/* #kc-header-wrapper {
    font-size: 29px;
    text-transform: uppercase;
    letter-spacing: 3px;
    line-height: 1.2em;
    padding: 62px 10px 20px;
    white-space: normal;
  } */

#kc-content {
  width: 100%;
}

/* #kc-content-wrapper {
      overflow-y: hidden;
  } */

#kc-info {
  padding-bottom: 200px;
  margin-bottom: -200px;
}

#kc-info-wrapper {
  font-size: 13px;
}

#kc-form-options span {
  display: block;
}

#kc-form-options .checkbox {
  margin-top: 0;
  color: #72767b;
}

#kc-terms-text {
  margin-bottom: 20px;
}

#kc-registration {
  margin-bottom: 15px;
}

/* TOTP */

ol#kc-totp-settings {
  margin: 0;
  padding-left: 20px;
}

ul#kc-totp-supported-apps {
  margin-bottom: 10px;
}

#kc-totp-secret-qr-code {
  max-width: 150px;
  max-height: 150px;
}

#kc-totp-secret-key {
  background-color: #fff;
  color: #333333;
  font-size: 16px;
  padding: 10px 0;
}

/* OAuth */

#kc-oauth h3 {
  margin-top: 0;
}

#kc-oauth ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

#kc-oauth ul li {
  border-top: 1px solid rgba(255, 255, 255, 0.1);
  font-size: 12px;
  padding: 10px 0;
}

#kc-oauth ul li:first-of-type {
  border-top: 0;
}

#kc-oauth .kc-role {
  display: inline-block;
  width: 50%;
}

/* Code */
#kc-code textarea {
  width: 100%;
  height: 8em;
}

/* Social */

#kc-social-providers ul {
  padding: 0;
}

#kc-social-providers li {
  display: block;
}

#kc-social-providers li:first-of-type {
  margin-top: 0;
}

.zocial,
a.zocial {
  width: 100%;
  font-weight: normal;
  font-size: 14px;
  text-shadow: none;
  border: 0;
  background: #f5f5f5;
  color: #72767b;
  border-radius: 0;
  white-space: normal;
}
.zocial:before {
  border-right: 0;
  margin-right: 0;
}
.zocial span:before {
  padding: 7px 10px;
  font-size: 14px;
}
.zocial:hover {
  background: #ededed !important;
}

.zocial.facebook,
.zocial.github,
.zocial.google,
.zocial.microsoft,
.zocial.stackoverflow,
.zocial.linkedin,
.zocial.twitter {
  background-image: none;
  border: 0;

  box-shadow: none;
  text-shadow: none;
}

/* Copy of zocial windows classes to be used for microsoft's social provider button */
.zocial.microsoft:before {
  content: "\f15d";
}
.zocial.stackoverflow:before {
  color: inherit;
}

@media (min-width: 768px) {
  #kc-container-wrapper {
    position: absolute;
    width: 100%;
  }

  .login-pf .container {
    padding-right: 80px;
  }

  #kc-locale {
    position: relative;
    text-align: right;
    z-index: 9999;
  }
}

@media (max-width: 767px) {
  .login-pf body {
    background: white;
  }

  #kc-header {
    padding-left: 15px;
    padding-right: 15px;
    float: none;
    text-align: left;
  }

  #kc-header-wrapper {
    font-size: 16px;
    font-weight: bold;
    padding: 20px 60px 0 0;
    color: #72767b;
    letter-spacing: 0;
  }

  div.kc-logo-text {
    margin: 0;
    width: 150px;
    height: 32px;
    background-size: 100%;
  }

  #kc-form {
    float: none;
  }

  #kc-info-wrapper {
    border-top: 1px solid rgba(255, 255, 255, 0.1);
    margin-top: 15px;
    padding-top: 15px;
    padding-left: 0px;
    padding-right: 15px;
  }

  #kc-social-providers li {
    display: block;
    margin-right: 5px;
  }

  .login-pf .container {
    padding-top: 15px;
    padding-bottom: 15px;
  }

  #kc-locale {
    position: absolute;
    width: 200px;
    top: 20px;
    right: 20px;
    text-align: right;
    z-index: 9999;
  }

  #kc-logo-wrapper {
    background-size: 100px 21px;
    height: 21px;
    width: 100px;
    margin: 20px 0 0 20px;
  }
}

@media (min-height: 646px) {
  #kc-container-wrapper {
    bottom: 12%;
  }
}

@media (max-height: 645px) {
  #kc-container-wrapper {
    padding-top: 50px;
    top: 20%;
  }
}

.card-pf form.form-actions .btn {
  float: right;
  margin-left: 10px;
}

#kc-form-buttons {
  margin-top: 40px;
}

.login-pf-page .login-pf-brand {
  margin-top: 20px;
  max-width: 360px;
  width: 40%;
}

.card-pf {
  background: #fff;
  margin: 0 auto;
  padding: 0 20px;
  max-width: 500px;
  border-top: 0;
  box-shadow: 0 0 0;
}

/*tablet*/
@media (max-width: 840px) {
  .login-pf-page .card-pf {
    max-width: none;
    margin-left: 20px;
    margin-right: 20px;
    padding: 20px 20px 30px 20px;
  }
}
@media (max-width: 767px) {
  .login-pf-page .card-pf {
    max-width: none;
    margin-left: 0;
    margin-right: 0;
    padding-top: 0;
  }
  .card-pf.login-pf-accounts {
    max-width: none;
  }
}

.login-pf-page .login-pf-signup {
  font-size: 15px;
  color: #72767b;
}
#kc-content-wrapper .row {
  margin-left: 0;
  margin-right: 0;
}

@media (min-width: 768px) {
  .login-pf-page .login-pf-social-section:first-of-type {
    padding-right: 39px;
    border-right: 1px solid #d1d1d1;
    margin-right: -1px;
  }
  .login-pf-page .login-pf-social-section:last-of-type {
    padding-left: 40px;
  }
  .login-pf-page .login-pf-social-section .login-pf-social-link:last-of-type {
    margin-bottom: 0;
  }
}

.login-pf-page .login-pf-social-link {
  margin-bottom: 25px;
}
.login-pf-page .login-pf-social-link a {
  padding: 2px 0;
}

.login-pf-page.login-pf-page-accounts {
  margin-left: auto;
  margin-right: auto;
}

.login-pf-page .btn-primary {
  margin-top: 0;
}

/* Alturos changes */

body {
  background: var(--footer-background-color) !important;
}

/* div#kc-header::after {
    content: "ALTUTOS Datawarehouse";
    font-size: 40px;
    line-height: 50px;
    margin-bottom: 15px;
  } */

/*title banner size and colour*/
div#kc-header {
  background-size: auto;
  background-position-y: center;
  display: block;
  background-repeat: no-repeat;
  background-position-x: 49%;
  height: 220px;
}

/* oroginal is commented out */
#kc-header-wrapper {
  font-size: 29px;
  /*color: rgba(0, 160, 227, 1);*/
  letter-spacing: 2px;
  line-height: 1.2em;
  padding-top: 280px;
  font-weight: normal;
  white-space: normal;
}

/* label change Username, Password text*/
div#kc-form label {
  color: rgb(0, 0, 0);
  /*letter-spacing: 1px;*/
  display: block;
  margin-left: 2%;
  font-size: var(--font-size-body);
  font-family: var(--font-family-base);
}

input[type="submit"] {
  border: none;
  border-radius: 3px;
  /*background-color: rgb(0, 160, 227) !important;*/
  box-shadow: 0px 0px 0px rgba(0, 0, 0, 0.3);
  font-size: 22px;
  color: white;
  text-transform: uppercase;
  letter-spacing: 2px;
  font-family: "Open Sans", sans-serif;
  margin-top: 5px;
  display: block;
}

form {
  box-sizing: border-box;
  padding-bottom: 40px;
  padding-top: 20px;
  border-radius: 3px;
}

/*fields*/
input[type="text"] {
  color: rgba(0, 0, 0, 0.9);
  font-size: 25px;
  width: 96%;
  margin-left: 2%;
  display: inline-block;
  border: none;
  border-radius: var(--border-radius-controls);
  /*border-bottom: 1px solid rgba(0, 160, 227, 0.5);*/
  top: 14px;
  font-size: 12px;
  /*color: rgb(0, 160, 227);*/
}
input[type="password"] {
  /*color: rgba(0, 160, 227, 0.5);*/
  font-size: 18px;
  margin-left: 2%;
  display: inline-block;
  border: none;
  border-radius: 0;
  /*border-bottom: 1px solid rgba(0, 160, 227, 0.5);*/
  top: 14px;
  font-size: 12px;
  /*color: rgb(0, 160, 227);*/
  width: 96%;
}

input[type="text"]:focus,
input[type="password"]:focus input:valid {
  box-shadow: none;
  outline: none;
  background-position: 0 0;
}
input:focus::-webkit-input-placeholder,
input:valid::-webkit-input-placeholder {
  color: #1abc9c;
  font-size: 11px;
  -webkit-transform: translateY(-20px);
  transform: translateY(-20px);
  visibility: visible !important;
}

.spacerDiv {
  padding: 15px;
}

@media (max-width: 780px) {
  #kc-header-wrapper {
    padding-top: 220px;
    font-size: 22px;
  }
}

@media (max-width: 450px) {
  div#kc-header {
    background-size: 70%;
    background-position-y: center;
    display: block;
    background-repeat: no-repeat;
    background-position-x: 49%;
    height: 180px;
  }
  #kc-header-wrapper {
    font-size: 20px;
    letter-spacing: 1.5px;
    line-height: 1.2em;
    padding-top: 190px;
    font-weight: normal;
    white-space: normal;
  }
  form {
    box-sizing: border-box;
    padding-top: 40px;
    padding-bottom: 40px;
    border-radius: 3px;
  }
}

.header__navigation, .header__main__left, .header__main__nav {
  display: none !important;
}

/******************************************************************************************** JAMES 2025 */

body { }
* { font-size: 13pt; font-family: Inter, sans-serif; }
.card-pf a {
	color: var(--link-color) !important;
	font-size: var(--font-size-body) !important;
    font-weight: 700 !important;
    letter-spacing: var(--letter-spacing-body) !important;
    line-height: var(--line-height-body) !important;
	text-decoration: none;
	font-family: var(--font-family-sans-serif) !important;
}
label {
	color: gray !important;
	font-size: 16px !important;
	letter-spacing: normal !important;
	font-family: Inter, sans-serif !important;
	margin: 0 !important;
}

.login-pf-header { position: relative; }
.login-pf-header::after { content: ""; position: absolute; left: -30px; right: -30px; border-bottom: 1px solid #eee; }
#kc-page-title {
	font-size: var(--title-s-font-size) !important;
    letter-spacing: var(--title-s-letter-spacing) !important;
    line-height: var(--title-s-line-height) !important;
	font-weight: 600 !important;
}

.login-pf-page { min-height: 100%; padding: 50px 20px; }
.card-pf {
	max-width: 500px;
	border-radius: min(var(--border-radius-max), var(--border-radius-controls)) !important;
	/* HELLO*/
	padding: 25px 30px !important;
	margin-bottom: 100px;
	box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
}
#kc-header-wrapper { display: none; }
#kc-header { height: 100px !important; display: none !important; }
#kc-content { margin-top: 20px; position: relative; }
.pf-c-alert { flex-basis: 100% !important; }
.pf-m-error,
.alert-error { padding-top: 10px !important; }
.pf-m-error,
.alert-error .kc-feedback-text { color: var(--color-danger) !important; font-size: var(--footnote-font-size, 13px) !important; font-weight: 600; }
#kc-info { padding-bottom: 0; }
#kc-info-wrapper { font-size: inherit; }
h1, h2, h3 { margin-top: 0; font-weight: 500; color: #353535; }
h1 { font-size: 20pt !important; }
h3 { font-size: 14pt !important; margin-bottom: 10px; font-weight: bold; }
li { font-size: 16px; color: #353535; }
#kc-registration li { text-align: left !important; list-style: disc; margin-left: 15px; margin-bottom: 10px; }
#kc-form-login { display: flex; flex-direction: column; gap: 20px; padding-bottom: 0 !important; }
.button,
input[type="submit"],
/* login button */ #kc-login {
	background: var(--btn-primary-bg) !important;
	color: var(--btn-primary-content-color) !important;
	border-radius: var(--border-radius-buttons) !important;
	padding: 14px 28px !important;
	color: white !important;
	font-size: 16px !important;
	cursor: pointer !important;
	text-transform: none;
	width: 100% !important;
	position: relative; top: 10px;
	font-size: var(--font-size-body) !important;
    font-weight: 600 !important;
    letter-spacing: var(--letter-spacing-body) !important;
    line-height: var(--line-height-body) !important;
}
/* login button */ #kc-login { position: absolute; bottom: 0 !important; top: auto; z-index: 999; }
.login-pf-settings { justify-content: start !important; }

#kc-locale { position: relative; width: auto; left: 0; right: 0; top: 0; }
#kc-locale-wrapper { position: absolute; right: -30px; top: -20px; }
#kc-current-locale-link { border: 0; background: transparent; color: silver; }

#kc-social-providers { bottom: 0px; }
#kc-social-providers h2 { display: none; }
#kc-social-providers hr { display: none; }
.kc-social-links { justify-content: end !important; }
.kc-social-item { border: 0 !important; background: none; padding: 0; color: -webkit-link !important; margin-bottom: 8px; }
.kc-social-item::after { display: none; }

.form-group { position: relative; }
.form-group label {
	position: absolute;
    top: .3125rem !important;
	margin-left: var(--input-padding-horizontal) !important;
	font-family: inherit !important;
	font-size: 13px !important;
}
input[type="text"],
input[type="password"] {
	padding: 10px;
	height: auto;
	width: 100% !important;
	color: black;
	border: 1px solid #aaa !important;
	padding-top: 1.438rem;
	padding-left: var(--input-padding-horizontal);
    padding-right: var(--input-padding-horizontal);
	padding-bottom: 0;
	font-size: var(--checkout-font-size-17px) !important;
	margin-left: 0 !important;
	border-radius: var(--border-radius-controls) !important;
	background-color: var(--checkout-input-bg) !important;
	box-sizing: border-box !important;
}
input[type="text"]:hover,
input[type="password"]:hover { outline: 2px solid black; }
.pf-c-input-group .pf-c-button { height: 35px; margin-left: 5px; }
.pf-c-input-group .pf-c-button:after { display: none; }
#input-error,
.pf-m-error { color: rgb(176, 0, 32); font-size: 12pt; line-height: normal; }
.pf-c-form-control[aria-invalid=true] { background-position-x: calc(100% - 8px) !important; background-position-y: 12px !important; }
.login-pf-page .login-pf-signup { text-align: left; }
#kc-totp-secret-qr-code { max-width: 200px; max-height: 200px; margin-left: -15px; margin-top: -10px; }
.pf-c-dropdown__menu { border: 0 !important; padding: 5px; border-radius: 4px; box-shadow: 0 0 15px rgba(0, 0, 0, 0.2); }
.pf-c-dropdown__menu-item { padding: 10px !important; }
.zocial, a.zocial { background: transparent !important; }

#kc-reset-password-form { display: flex; flex-direction: column; gap: 20px; }

@media (max-width: 640px) {
	#kc-content-wrapper > * { flex-basis: 100%; padding-right: 0; }
	#kc-social-providers { width: calc(100% - 20px); }
}

/* fix weird default stylingstyling */
#kc-info { padding-bottom: 20px; margin-bottom: 0; }

/* repair "show password" buttons */
.pf-c-input-group .pf-c-button { position: absolute; right: 10px; top: 5px; border: 0; background: transparent; cursor: pointer; }
.pf-c-input-group .pf-c-button::after { content: "\1F441"; font-size: 16px; color: #888; display: block; }
.pf-c-input-group .pf-c-button i { display: none; }

XXX input[type="text"], input[type="password"] { margin-bottom: 10px; }
